# RadioLib: RTTYClient Class Reference

RTTYClient Class Reference

Client for RTTY communication. The public interface is the same as Arduino Serial. More...

`#include <RTTY.h>`

Inheritance diagram for RTTYClient:

## Public Member Functions

| RTTYClient (PhysicalLayer *phy)
| Constructor for 2-FSK mode. More...
| RTTYClient (AFSKClient *audio)
| Constructor for AFSK mode. More...
int16_t | begin (float base, uint32_t shift, uint16_t rate, uint8_t enc=RADIOLIB_ASCII, uint8_t stopBits=1)
| Initialization method. More...
void | idle ()
| Send out idle condition (RF tone at mark frequency).
int16_t | standby ()
| Stops transmitting. More...
size_t | write (uint8_t b) override
| Write one byte. Implementation of interface of the RadioLibPrint/Print class. More...
Public Member Functions inherited from RadioLibPrint
size_t | write (const char *str)
virtual size_t | write (const uint8_t *buffer, size_t size)
size_t | write (const char *buffer, size_t size)
size_t | print (ITA2String &ita2)
size_t | println (ITA2String &ita2)
size_t | print (const char[])
size_t | print (char)
size_t | print (unsigned char, int=DEC)
size_t | print (int, int=DEC)
size_t | print (unsigned int, int=DEC)
size_t | print (long, int=DEC)
size_t | print (unsigned long, int=DEC)
size_t | print (double, int=2)
size_t | println (const char[])
size_t | println (char)
size_t | println (unsigned char, int=DEC)
size_t | println (int, int=DEC)
size_t | println (unsigned int, int=DEC)
size_t | println (long, int=DEC)
size_t | println (unsigned long, int=DEC)
size_t | println (double, int=2)
size_t | println (void)

## Detailed Description

Client for RTTY communication. The public interface is the same as Arduino Serial.

## Constructor & Destructor Documentation

## RTTYClient() [1/2]

RTTYClient::RTTYClient | ( | PhysicalLayer * | phy | ) |

explicit

Constructor for 2-FSK mode.

Parameters

  phy | Pointer to the wireless module providing PhysicalLayer communication.

## RTTYClient() [2/2]

RTTYClient::RTTYClient | ( | AFSKClient * | audio | ) |

explicit

Constructor for AFSK mode.

Parameters

  audio | Pointer to the AFSK instance providing audio.

## Member Function Documentation

## begin()

int16_t RTTYClient::begin | ( | float | base,
|  | uint32_t | shift,
|  | uint16_t | rate,
|  | uint8_t | enc = `RADIOLIB_ASCII`,
|  | uint8_t | stopBits = `1`
| ) |  |

Initialization method.

Parameters

  base | Base (space) frequency to be used in MHz (in 2-FSK mode), or the space tone frequency in Hz (in AFSK mode)
  shift | Frequency shift between mark and space in Hz.
  rate | Baud rate to be used during transmission.
  enc | Encoding to be used. Defaults to ASCII.
  stopBits | Number of stop bits to be used.

Returns
  Status Codes

## standby()

int16_t RTTYClient::standby | ( |  | ) |

Stops transmitting.

Returns
  Status Codes

## write()

size_t RTTYClient::write | ( | uint8_t | b | ) |

overridevirtual

Write one byte. Implementation of interface of the RadioLibPrint/Print class.

Parameters

  b | Byte to write.

Returns
  1 if the byte was written, 0 otherwise.

Implements RadioLibPrint.

The documentation for this class was generated from the following files:

- src/protocols/RTTY/RTTY.h
- src/protocols/RTTY/RTTY.cpp